//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#pragma once

// [TPT] - enkeyDEV(th1) -notifier-

#include "modeless.h"  // [TPT]

class CPPgNotify : public CPreferencesPage	// [TPT] - SLUGFILLER: modelessDialogs
{
	DECLARE_DYNAMIC(CPPgNotify)

public:
	CPPgNotify();
	virtual ~CPPgNotify();	

	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

// Dialog Data
	enum { IDD = IDD_PPG_NOTIFY };

protected:
	
	CListBox      tnbConfigList;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Supporto DDX/DDV
	CString CPPgNotify::DialogBrowseFile(CString Filters, CString DefaultFileName="");
	void LoadNotifierConfigurations();

	DECLARE_MESSAGE_MAP()
private:
	void LoadSettings(void);
public:
	void Localize(void);
	afx_msg void OnLbnSelchangeLboxTbnConfig()  { SetModified(); }; // added by enkeyDEV(kei-kun) 21/11/2002
	afx_msg void OnSettingsChange() { SetModified(); }
	afx_msg void OnBnClickedCbTbnOnchat();
	afx_msg void OnBnClickedBtnBrowseWav();
    afx_msg void OnDestroy();
};

// [TPT] - enkeyDEV(th1) -notifier-
